<?php

use think\migration\Migrator;
use think\migration\db\Column;

class CreateSysRestfulApi extends Migrator
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $table = $this->table('sys_restful_api', ['engine' => 'MyISAM', 'collation' => 'utf8mb4_general_ci', 'comment' => '系统接口表']);
        $table->addColumn('name', 'string', ['limit' => 64, 'default' => '', 'comment' => '接口名称'])
            ->addColumn('module', 'string', ['limit' => 32, 'default' => '', 'comment' => '模块名'])
            ->addColumn('layer', 'string', ['limit' => 15, 'default' => '', 'comment' => '控制器分级名'])
            ->addColumn('controller', 'string', ['limit' => 64, 'default' => '', 'comment' => '控制器名'])
            ->addColumn('action', 'string', ['limit' => 64, 'default' => '', 'comment' => '方法名'])
            ->addColumn('rule', 'string', ['limit' => 128, 'default' => '', 'comment' => '接口路由'])
            ->addColumn('method', 'string', ['limit' => 8, 'default' => '', 'comment' => '请求方式'])
            ->addColumn('desc', 'string', ['limit' => 255, 'default' => '', 'comment' => '接口描述'])
            ->addColumn('created_at', 'timestamp', ['null' => false,'default' => 'CURRENT_TIMESTAMP', 'comment' => '创建时间'])
            ->addColumn('updated_at', 'timestamp', ['null' => true,'default' => 'CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP', 'comment' => '更新时间'])
            ->create();
    }
}
